summaryrefslogtreecommitdiffstats
path: root/ruby
diff options
context:
space:
mode:
author Andrew Clemons <andrew.clemons@gmail.com>2016-07-30 06:58:25 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-07-30 07:06:32 +0700
commitf48014d66a50d5d94243063e4aae6137ae136769 (patch)
tree69b5877d12182f3bcf3dda32809e931bcfe5fd15 /ruby
parenta15e6454c52fd6d26fbb42ca98b254de221b87a8 (diff)
downloadslackbuilds-f48014d66a50d5d94243063e4aae6137ae136769.tar.gz
slackbuilds-f48014d66a50d5d94243063e4aae6137ae136769.tar.xz
ruby/ruby-build: Added (Compile and install Ruby).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'ruby')
-rw-r--r--ruby/ruby-build/README9
-rw-r--r--ruby/ruby-build/ruby-build.SlackBuild72
-rw-r--r--ruby/ruby-build/ruby-build.info10
-rw-r--r--ruby/ruby-build/slack-desc19
4 files changed, 110 insertions, 0 deletions
diff --git a/ruby/ruby-build/README b/ruby/ruby-build/README
new file mode 100644
index 0000000000..426ad4c7b4
--- /dev/null
+++ b/ruby/ruby-build/README
@@ -0,0 +1,9 @@
+ruby-build - Compile and install Ruby
+
+ruby-build is an rbenv plugin that provides an rbenv install command to
+compile and install different versions of Ruby on UNIX-like systems.
+
+You can also use ruby-build without rbenv in environments where you need
+precise control over Ruby version installation.
+
+rbenv is an optional dependency
diff --git a/ruby/ruby-build/ruby-build.SlackBuild b/ruby/ruby-build/ruby-build.SlackBuild
new file mode 100644
index 0000000000..1ab7a8fad4
--- /dev/null
+++ b/ruby/ruby-build/ruby-build.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for ruby-build
+
+# Copyright 2016 Andrew Clemons, Wellington New Zealand
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ruby-build
+VERSION=${VERSION:-20160602}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+
+if [ -e "$CWD/$PRGNAM-$VERSION.tar.gz" ] ; then
+ tar xvf "$CWD/$PRGNAM-$VERSION.tar.gz"
+elif [ -e "$CWD/v$VERSION.tar.gz" ] ; then
+ tar xvf "$CWD/v$VERSION.tar.gz"
+else
+ echo "Source tarball not found - checked $PRGNAM-$VERSION.tar.gz and v$VERSION.tar.gz"
+ exit 2
+fi
+
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+PREFIX=$PKG/usr bash ./install.sh
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CONDUCT.md README.md LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/ruby/ruby-build/ruby-build.info b/ruby/ruby-build/ruby-build.info
new file mode 100644
index 0000000000..693f6a46a7
--- /dev/null
+++ b/ruby/ruby-build/ruby-build.info
@@ -0,0 +1,10 @@
+PRGNAM="ruby-build"
+VERSION="20160602"
+HOMEPAGE="https://github.com/rbenv/ruby-install"
+DOWNLOAD="https://github.com/rbenv/ruby-build/archive/v20160602.tar.gz"
+MD5SUM="a93c061e03910e2a7eb2ad5aacb3a7c4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andrew Clemons"
+EMAIL="andrew.clemons@gmail.com"
diff --git a/ruby/ruby-build/slack-desc b/ruby/ruby-build/slack-desc
new file mode 100644
index 0000000000..a293a03950
--- /dev/null
+++ b/ruby/ruby-build/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ruby-build: ruby-build (Compile and install Ruby)
+ruby-build:
+ruby-build: ruby-build is an rbenv plugin that provides an rbenv install
+ruby-build: command to compile and install different versions of Ruby on
+ruby-build: UNIX-like systems.
+ruby-build:
+ruby-build:
+ruby-build:
+ruby-build: https://github.com/rbenv/ruby-build
+ruby-build:
+ruby-build: